From c43dc5a380214c9d2937cd35fe9563067d0fff60 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@localhost.localdomain>
Date: Nov 16 2018 16:50:54 +0000
Subject: [PATCH 9/15] use mvn()-style BRs and add javadoc subpackage for jaf


---

diff --git a/jaf/jaf.spec b/jaf/jaf.spec
index 2ae9e79..baaea7a 100644
--- a/jaf/jaf.spec
+++ b/jaf/jaf.spec
@@ -14,16 +14,14 @@ Patch0:		0_add_manifest.patch
 
 BuildArch:	noarch
 
-BuildRequires:	ee4j
-BuildRequires:	glassfish-hk2-maven-plugins
-BuildRequires:	maven-dependency-plugin
-BuildRequires:	maven-enforcer-plugin
 BuildRequires:	maven-local
-BuildRequires:	maven-plugin-build-helper
-BuildRequires:	maven-plugin-bundle
-BuildRequires:	maven-source-plugin
-
-Requires:	java-openjdk
+BuildRequires:	mvn(org.apache.felix:maven-bundle-plugin)
+BuildRequires:	mvn(org.apache.maven.plugins:maven-dependency-plugin)
+BuildRequires:	mvn(org.apache.maven.plugins:maven-enforcer-plugin)
+BuildRequires:	mvn(org.apache.maven.plugins:maven-source-plugin)
+BuildRequires:	mvn(org.codehaus.mojo:build-helper-maven-plugin)
+BuildRequires:  mvn(org.eclipse.ee4j:project:pom:)
+BuildRequires:  mvn(org.glassfish.hk2:osgiversion-maven-plugin)
 
 %description
 The JavaBeans Activation Framework (JAF) is a standard extension to the
@@ -32,13 +30,18 @@ determine the type of an arbitrary piece of data; encapsulate access to it;
 discover the operations available on it; and instantiate the appropriate
 bean to perform the operation(s).
 
+%package javadoc
+Summary:        Javadoc for %{name}
+
+%description javadoc
+%{summary}.
+
 %prep
 %setup -q -n %{tarball_name}
 %patch0 -p1
 
 %pom_disable_module demo
 
-
 mkdir -p %{_builddir}/%{tarball_name}/activationapi/target/sources/
 cp -r %{_builddir}/%{tarball_name}/activation/src/main/java/javax/ %{_builddir}/%{tarball_name}/activationapi/target/sources/
 cp -r %{_builddir}/%{tarball_name}/activation/src/main/java/com/ %{_builddir}/%{tarball_name}/activationapi/target/sources/
@@ -55,14 +58,15 @@ cp -r %{_builddir}/%{tarball_name}/activationapi/META-INF %{_builddir}/%{tarball
 %install
 %mvn_install
 
-%files
+%files -f .mfiles
+%license LICENSE.md
+%license NOTICE.md
+%doc README.md
+
+%files javadoc -f .mfiles-javadoc
 %license LICENSE.md
 %license NOTICE.md
 %doc README.md
-%{_javadir}/%{name}
-%{_javadocdir}/%{name}
-%{_datadir}/maven-poms/%{name}
-%{_datadir}/maven-metadata/%{name}.xml
 
 %changelog
 * Fri Sep 21 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.2.1-1

